SIPp工具Linux下安装

2014/05/28 11:59
阅读数 249
一、SIPp介绍


   SIPp是一个测试SIP协议性能的工具软件,这是一个开源软件。 
    它可使用INVITE和B YE建立和释放多个呼叫。它也可以读XML的场景文件,即描述任何性能测试的配置文件。它能动态显示测试运行的统计数据(呼叫速率、信号来回的延迟,以及消息统计)。周期性地把CSV统计数据转储,在多个套接字上的TCP和UDP,利用重新传输管理的多路复用。在场景定义文件中可以使用正规表达式,动态调整呼叫速率。 
    SIPp可以用来测试许多真实的SIP设备,如SIP代理,B2BUAs,SIP媒体服务器,SIP/x网关,SIP PBX,等等,它也可以模仿上千个SIP代理呼叫你的SIP系统。


    关于SIPp从google上搜索到很多,大都是英文的,对于我这样英语不行的人实在吃力。有中文的也只是Ctrl+C、Ctrl+V。对此,将最近对SIPp的研究结果写出来,大家分享。有高手看到的还请指教。


    SIPp的网址:http://sipp.sourceforge.net/index.html英文的,但很权威,不妨看看。


 


二、SIPp安装


 SIPp的四种安装方法:


1)       没有TLS支持与密码验证支持:


 


a)       # tar -xvf sipp-1.1rc6.tar.gz


b)       # cd sipp-1.1.rc6


c)       # make


Make出来的sipp文件就是一个可执行的文件,只需要搭配场景xml文件与csv文件即可进行SIP测试


 


2)       拥有TLS支持与密码验证支持,但是不支PCAP语音播放:


 


a)       # tar -xvf sipp-1.1rc6.tar.gz


b)       # cd sipp-1.1.rc6


c)       # make ossl


这样编译出来的文件就加入了TLS至于与密码验证支持功能sipp软件了。


 


3)       支持PCAP Play,但是没有密码验证支持:(PCAP Play即为可以进行RTP语音,但是没有407 AUTH验证)


 


a)       # tar -xvf sipp-1.1rc6.tar.gz


b)       # cd sipp-1.1.rc6


c)       # make pcapplay


 


4)       支持PCAP 声音文件播放,而且支持密码验证支持:(支持407 auth验证支持)


 a)       # tar -xvf sipp-1.1rc6.tar


 b)       # cd sipp-1.1.rc6


 c)       # make pcapplay_ossl


 


一般要发送媒体流模拟说话的话,选第四种吧


1、首先先到官网下载sipp:http://sourceforge.net/projects/sipp/files/sipp/


解压下载的sipp安装包,执行命令(名字是你下载的文件名):tar -xzvf sip p.3.1.src.tar.gz


进入到解压的目录下,执行命令:cd sipp.svn


执行命令: make pcapplay_ossl


 


如果出现如下报错:


send_packets.c:44:18: 错误:pcap.h:没有那个文件或目录


make[1]: *** [send_packets.o] 错误 1


make[1]: Leaving directory `/usr/src/sipp.svn'


make: *** [pcapplay_ossl] 错误 2SIPp工具Linux下安装


 


说明没有安装库pcap。到网站http://www.tcpdump.org/release/下载libpcap 库,文件的格式为x.tar.gz。


 


2、pcap安装:


执行命令解压下载的libpcap库文件,执行命令:tar zxvf x.tat.gz


   进入刚才解压的libpcap目录,执行命令:./configure


生成Makefile文件


   执行命令:make install


      报如下错误:  


gcc -O2 -I. -DHAVE_CONFIG_H -D_U_="__attribute__((unused))" -c ./pcap-linux.c


gcc -O2 -I. -DHAVE_CONFIG_H -D_U_="__attribute__((unused))" -c ./fad-getad.c


In file included from ./fad-getad.c:64:


/usr/include/linux/if_packet.h:52: 错误:expected specifier-qualifier-list


before ‘__u32’


make: *** [fad-getad.o] 错误 1


  


   解决方法如下:


编辑文件/usr/include/linux/if_packet.h,在文件的开头处添加代码:


#include <linux/types.h>


   回到libpcap目录下重新执行命令:make instal。没有报错,OK,继续。SIPp工具Linux下安装


 


3、回到目录/home/sipp.svn/,重新执行命令: make pcapplay_ossl


   没有报错。试一下装好没有,执行命令:./sipp -h


   有帮助信息出来,OK。安装完毕。SIPp工具Linux下安装


展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部